Subject: Re: [PATCH] cxl: use correct operator when writing pcie config space values

From: Andrew Donnellan <[email-masked]>
Date: Mon, 09 Nov 2015 17:45:25 +1100

On 06/11/15 10:43, Michael Ellerman wrote:
> If it's unused *and* broken then we should just remove it.

Following some discussion with Ian and Vaibhav, we'd like to keep it at 
this stage - while there are no current AFUs which write to AFU config 
space, it would be reasonable for an AFU developer to assume that AFU 
config space is writable, and I am led to believe there is nothing in 
the publicly available documentation that would suggest otherwise.

Ian is working on obtaining a test AFU with support for this, at which 
point we will add it to our internal test suite.

As such I'd like to continue with the patch as is, I'm happy to drop the 
stable Cc though.

Andrew

-- 
Andrew Donnellan              Software Engineer, OzLabs
[email-masked]  Australia Development Lab, Canberra
+61 2 6201 8874 (work)        IBM Australia Limited